VisualEditor: Backspace over lists doesn't delete the LIs
Closed, ResolvedPublic

Description

Author: vivekraiiitkgp

Description:
Hi,

The problem is that when I have created a bullet list in Visual Editor and try to erase back the text using Backspaces, the numbers or bullet points don't delete even if I have deleted the whole text. Here is a trivial demonstration :

  1. Hello1
  2. Hello2
  3. Hello3

Now when I try to delete it from the Hello3 using backspaces, all the text upto first bullet is deleted, but those bullet points are left as it is.

Images:

https://docs.google.com/file/d/0B3eGCB261PalaDhqa1ZhcmFPUk0/edit?usp=sharing
https://docs.google.com/file/d/0B3eGCB261PalbndsZEFSdXpEZGM/edit?usp=sharing

Tested on Firefox 20.


Version: unspecified
Severity: normal

bzimport set Reference to bz47795.
bzimport created this task.Via LegacyApr 28 2013, 5:23 PM
Jdforrester-WMF added a comment.Via ConduitApr 28 2013, 5:32 PM

Thanks for the bug report; I can confirm in Chrome and Safari as well.

Inez added a comment.Via ConduitApr 30 2013, 10:05 PM

Fixed here: https://gerrit.wikimedia.org/r/61520
It is not released yet, James, can you put appropriate milestone tag?

Jdforrester-WMF added a comment.Via ConduitMay 1 2013, 2:06 AM

Wmf4 which will begin deployment on 13 May. :-)

Jdforrester-WMF added a comment.Via ConduitMay 9 2013, 8:01 PM
  • Bug 48293 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitMay 10 2013, 6:43 PM

This is now broken again in master. :-(

Jdforrester-WMF added a comment.Via ConduitMay 14 2013, 9:04 PM

And now fixed in wmf4.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.